Subject: Re: FVWM: help!

From: [email-masked] (David Kennedy)
Date: Thu, 26 Sep 1996 11:43:42 +0100

Kai said:
>  
>  You can change all the directories in the Fvwm.tmpl file, I think.
>  Only problem is that `make install' will maybe install stuff in the
>  wrong place.  For that, you have variables BINDIR, MANDIR, LIBDIR and
>  suchlike, new values of which you can just put in the Imakefile.
>  
>  Then, there's this problem of Imake not finding mkdirhier if BINDIR is
>  changed.  Solve this by setting MKDIRHIER to the right thing (maybe
>  /usr/bin/X11/mkdirhier, or /usr/X11/bin/mkdirhier, or
>  /usr/dt/bin/mkdirhier, or whatever).

I have to disagree, I install fvwm as a non-root user and have much less
trouble. I basically edit fvwm.tmpl and thats it! xmkmf etc all work
fine after that (provided your sysadmin has Imake set up properly.)

No trouble at all, much better than the installation process used to be.
The way I do it if I need root is to install it myself, go and find
someone with root, show them, and then tell them what to type to
install it properly.

fvwm is actually very easy to install, one of the many points in its
favour.
-- 
David Kennedy, The Queen's University of Belfast.
" I come from a hungry family - my mother used to
  count us after every meal. " Bob Shaw
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].